Does the default Apache work with the PHP version installed from the RHSCL ?

Solution Verified - Updated -

Issue

  • Is there a way to replace existing httpd install, or does it have to live in /opt/rh/ because it's a RHSCL package?
  • How do I start the Apache httpd installed from RHEL so that it uses PHP5.6 from RHSCL?
  • I would like to use the PHP 5.5, or 5.6 from the Red Hat Software Collections (RHEL 6 Server x86_64) with Apache httpd 2.2.15?

Environment

  • Red Hat Enterprise Linux (RHEL) httpd
  • Red Hat Software Collections (RHSCL) php55
  • RHSCL rh-php56
  • RHSCL rh-php70

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In